<div class="w-100 d-flex justify-content-end">
    <button class="btn btn-success m-3 px-5" routerLink='/DietaryFlag/Add'
    routerLinkActive="router-link-active">Add Flag</button>
  </div>
  <table mat-table [dataSource]="dataSource" class="mat-elevation-z8">
  
      <!--- Note that these columns can be defined in any order.
            The actual rendered columns are set as a property on the row definition" -->
    
      <!-- Position Column -->
      <ng-container matColumnDef="id">
        <th mat-header-cell *matHeaderCellDef> No. </th>
        <td mat-cell *matCellDef="let element"> {{element.id}} </td>
      </ng-container>
    
   
      <!-- Name Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef> Name </th>
        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
      </ng-container>
    
      <!-- Code Column -->
      <ng-container matColumnDef="code">
        <th mat-header-cell *matHeaderCellDef> Code </th>
        <td mat-cell *matCellDef="let element"> {{element.code}} </td>
      </ng-container>
    
     
       <!-- Commands Column -->
       <ng-container matColumnDef="commands">
          <th mat-header-cell *matHeaderCellDef>  </th>
          <td mat-cell *matCellDef="let element">
              <button type="button" class="btn btn-light m-2" [routerLink]="['/DietaryFlag/View', element.id]"
              routerLinkActive="router-link-active" [hidden]="(dataSource.length <= 0)">View</button>
              <button type="button" class="btn btn-primary m-2" [routerLink]="['/DietaryFlag/Edit', element.id]"
              routerLinkActive="router-link-active" [hidden]="(dataSource.length <= 0)">Edit</button>
              <button type="button" class="btn btn-danger m-2"  (click)="confirmDelete(element)"   [hidden]="(dataSource.length <= 0)"> Delete</button>
          </td>
        </ng-container>
      
    
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
    
    